You are not logged in.

#1 2021-09-15 08:54

skrebl
Member
Registered: 2021-09-15
Posts: 8

Install viber on Q4OS Trininty (32 bit)

Anybody here that managed to successfully install and run viber on Q4OS?
I don't see viber as a package in any of the package managers (e.g synaptic, gdebi, playonlinux)
So I followed the instructions for wine, installed it, got vibersetup.exe with wget and the trying to install viber with sudo wine command.
Got viber ui shown, it seems it got installed but the window got closed towards the end.
If I try to install it again, I get Remove option only.

Offline

#2 2021-09-15 13:20

Tolkem
Member
Registered: 2019-10-06
Posts: 380

Re: Install viber on Q4OS Trininty (32 bit)

skrebl wrote:

Anybody here that managed to successfully install and run viber on Q4OS?
I don't see viber as a package in any of the package managers (e.g synaptic, gdebi, playonlinux)
So I followed the instructions for wine, installed it, got vibersetup.exe with wget and the trying to install viber with sudo wine command.
Got viber ui shown, it seems it got installed but the window got closed towards the end.
If I try to install it again, I get Remove option only.

Viber has a native Linux installer as well as an appimage version, and both can be found here https://www.viber.com/en/download/ no need for Wine.

ksnip-20210915-081641.png

Choose the one for Ubuntu, it should install in Q4OS with no problems, or download the appimage.

Offline

#3 2021-09-15 20:21

skrebl
Member
Registered: 2021-09-15
Posts: 8

Re: Install viber on Q4OS Trininty (32 bit)

I tried with
sudo dpkg --force-architecture -i viber.deb
and got the following:
Selecting previously unselected package viber:amd64.
(Reading database ... 200101 files and directories currently installed.)
Preparing to unpack viber.deb ...
Unpacking viber:amd64 (13.3.1.22) ...
dpkg: dependency problems prevent configuration of viber:amd64:
viber:amd64 depends on libpulse0.
viber:amd64 depends on libasound2.
viber:amd64 depends on libnss3.
viber:amd64 depends on libgstreamer-plugins-base1.0-0.
viber:amd64 depends on libgstreamer1.0-0.
viber:amd64 depends on gstreamer1.0-plugins-base.
viber:amd64 depends on gstreamer1.0-plugins-good.
viber:amd64 depends on gstreamer1.0-plugins-ugly.
viber:amd64 depends on gstreamer1.0-pulseaudio.
viber:amd64 depends on gstreamer1.0-libav.

dpkg: error processing package viber:amd64 (--install):
dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils (0.23-4) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Errors were encountered while processing:
viber:amd64

If I check under Synaptic Package Manager, all these dependencies are installed, but it reports Viber as broken.
Viber is seen under Applications. If I click on it, nothing happens.
And is available at /opt/viber.
Any hints how to move on?

Offline

#4 2021-09-15 20:34

skrebl
Member
Registered: 2021-09-15
Posts: 8

Re: Install viber on Q4OS Trininty (32 bit)

khm, I will try to instal amd64 versions of the above.

Offline

#5 2021-09-15 20:41

skrebl
Member
Registered: 2021-09-15
Posts: 8

Re: Install viber on Q4OS Trininty (32 bit)

OK, added the misssing dependencies, removed viber and installed it again:
root@q4os-desktop:/home/berti/Downloads# sudo dpkg --force-architecture -i viber.deb
Selecting previously unselected package viber:amd64.
(Reading database ... 201253 files and directories currently installed.)
Preparing to unpack viber.deb ...
Unpacking viber:amd64 (13.3.1.22) ...
Setting up viber:amd64 (13.3.1.22) ...
Processing triggers for desktop-file-utils (0.23-4) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...


This time no errors.
Viber is showing under apps, but it's not opening after clicking it.

Offline

#6 2021-09-16 02:05

Tolkem
Member
Registered: 2019-10-06
Posts: 380

Re: Install viber on Q4OS Trininty (32 bit)

skrebl wrote:

OK, added the misssing dependencies, removed viber and installed it again:
root@q4os-desktop:/home/berti/Downloads# sudo dpkg --force-architecture -i viber.deb
Selecting previously unselected package viber:amd64.
(Reading database ... 201253 files and directories currently installed.)
Preparing to unpack viber.deb ...
Unpacking viber:amd64 (13.3.1.22) ...
Setting up viber:amd64 (13.3.1.22) ...
Processing triggers for desktop-file-utils (0.23-4) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...


This time no errors.
Viber is showing under apps, but it's not opening after clicking it.

Next time, when installing .deb files downloaded from internet use apt

sudo apt install ./viber.deb

this way all dependencies will be installed. Try running the app from terminal

/opt/viber

and check for any errors that may appear. Then you can copy/paste those here, so we can take a look at them.

Offline

#7 2021-09-16 17:29

skrebl
Member
Registered: 2021-09-15
Posts: 8

Re: Install viber on Q4OS Trininty (32 bit)

I reinstalled viber

root@q4os-desktop:/home/berti/Downloads# sudo apt install ./viber.deb
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'viber:amd64' instead of './viber.deb'
The following packages were automatically installed and are no longer required:
  gnome-keyring gnome-keyring-pkcs11 kdbusnotification-trinity
  libayatana-appindicator3-1 libayatana-ido3-0.4-0 libayatana-indicator3-7
  libdbusmenu-glib4 libdbusmenu-gtk3-4 libnma0 libpam-gnome-keyring
  mobile-broadband-provider-info p11-kit
Use 'sudo apt autoremove' to remove them.
The following NEW packages will be installed:
  viber:amd64
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/99.7 MB of archives.
After this operation, 358 GB of additional disk space will be used.
Get:1 /home/berti/Downloads/viber.deb viber amd64 13.3.1.22 [99.7 MB]
Selecting previously unselected package viber:amd64.
(Reading database ... 201253 files and directories currently installed.)
Preparing to unpack .../home/berti/Downloads/viber.deb ...
Unpacking viber:amd64 (13.3.1.22) ...
Setting up viber:amd64 (13.3.1.22) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for desktop-file-utils (0.23-4) ...

but cannot execute Viber:

root@q4os-desktop:/home/berti/Downloads# /opt/viber/Viber
-bash: /opt/viber/Viber: cannot execute binary file: Exec format error

root@q4os-desktop:/home/berti/Downloads# ls -al /opt/viber/Viber
-rwxr-xr-x 1 root root 44562952 Jul  7  2020 /opt/viber/Viber

Then google said I might have architecture problems, but all seems to be ok and supported:

root@q4os-desktop:/home/berti/Downloads# dpkg --print-architecture
i386
root@q4os-desktop:/home/berti/Downloads# dpkg --print-foreign-architectures
amd64

Offline

#8 2021-09-17 03:20

Tolkem
Member
Registered: 2019-10-06
Posts: 380

Re: Install viber on Q4OS Trininty (32 bit)

I downloaded viber, both the .deb installer and the appimage, but haven't had the chance to try neither in my VM. Is your Q4OS 32bit or 64? I only have  64, so if I try, the results will be for that. You could try the appimage and see if that works. You probably should install that pkg with your user, not root, to avoid permissions issues, just saying smile

Offline

#9 2021-09-17 10:44

skrebl
Member
Registered: 2021-09-15
Posts: 8

Re: Install viber on Q4OS Trininty (32 bit)

It's 32 bit. I'll try again without sudo. And with appimage. smile

Offline

#10 2021-09-17 13:07

bin
Member
From: U.K.
Registered: 2016-01-28
Posts: 1,039

Re: Install viber on Q4OS Trininty (32 bit)

I think you will find that the deb is 64 bit - even though there's a link in their site it goes to the same location as the 64 bit.

Wisdom has it that you need 32 bit WINE and the 32 bit windows app to make this work on a 32 bit system - cannot verify as I don't use it.

Offline

#11 2021-09-17 16:40

skrebl
Member
Registered: 2021-09-15
Posts: 8

Re: Install viber on Q4OS Trininty (32 bit)

Without sudo I immediately get lock error.
appimage was not executable.
tried with wine again, need sudo but, got it installed, but then cannot open it.
OK; if anybody succeeds, please let me know. smile

Offline

#12 2021-09-17 17:42

Tolkem
Member
Registered: 2019-10-06
Posts: 380

Re: Install viber on Q4OS Trininty (32 bit)

skrebl wrote:

Without sudo I immediately get lock error.

What I meant is this root@q4os-desktop:/home/berti/Downloads# why are you doing this as root, instead of using your regular user(berti?)?

appimage was not executable.
tried with wine again, need sudo but, got it installed, but then cannot open it.
OK; if anybody succeeds, please let me know. smile

You have to make it executable

chmod +x viber.Appimage

or open the file manager, locate the file, select it, hit Alt + Enter, the properties window will pop up, go to permissions' tab, and check the box that reads make this file executable or some similar wording. I got the appimage working here with no problems, check it out:

viber-english.png

However, I'm running a 64-bit OS, whereas yours is 32-bit, and checking viber.Appimage gives

file viber.AppImage
viber.AppImage: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.18, stripped

Not sure whether that means it runs or not in a 32-bit OS.

Offline

#13 2021-09-19 18:19

skrebl
Member
Registered: 2021-09-15
Posts: 8

Re: Install viber on Q4OS Trininty (32 bit)

sorry, I was not precise:

berti@q4os-desktop:~/Downloads$ apt install ./viber.deb
E: Could not open lock file /var/lib/dpkg/lock-frontend - open (13: Permission denied)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?

And

berti@q4os-desktop:~/Downloads$ ./viber.AppImage
bash: ./viber.AppImage: cannot execute binary file: Exec format error
berti@q4os-desktop:~/Downloads$ ls -al viber.AppImage
-rwxrwxrwx 1 berti berti 140435432 Sep 17 17:22 viber.AppImage

Offline

#14 2021-09-19 18:26

Tolkem
Member
Registered: 2019-10-06
Posts: 380

Re: Install viber on Q4OS Trininty (32 bit)

skrebl wrote:

sorry, I was not precise:

berti@q4os-desktop:~/Downloads$ apt install ./viber.deb
E: Could not open lock file /var/lib/dpkg/lock-frontend - open (13: Permission denied)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?

And

berti@q4os-desktop:~/Downloads$ ./viber.AppImage
bash: ./viber.AppImage: cannot execute binary file: Exec format error
berti@q4os-desktop:~/Downloads$ ls -al viber.AppImage
-rwxrwxrwx 1 berti berti 140435432 Sep 17 17:22 viber.AppImage

Yes, that's what I was referring to, but with your user you need sudo, that's just fine

berti@q4os-desktop:~/Downloads$ sudo apt install ./viber.deb

You need to make the appimage executable, like I said in my previous post.

Offline

Board footer

Powered by FluxBB